From 83b0e0d65bb9ea47cb3aa0fade84b009f2d1b13b Mon Sep 17 00:00:00 2001
From: Kyotaro Horiguchi <horikyota.ntt@gmail.com>
Date: Fri, 8 Jul 2022 14:37:41 +0900
Subject: [PATCH v1 1/2] Fix a comment

FlushRelFileAllBuffers is equivalent to calling FlushRelationBuffers
not "per fork per relation", but "per fork".
---
 src/backend/storage/buffer/bufmgr.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/storage/buffer/bufmgr.c b/src/backend/storage/buffer/bufmgr.c
index e4de4b306c..e257ae23e4 100644
--- a/src/backend/storage/buffer/bufmgr.c
+++ b/src/backend/storage/buffer/bufmgr.c
@@ -3589,8 +3589,8 @@ FlushRelationBuffers(Relation rel)
  *
  *		This function flushes out of the buffer pool all the pages of all
  *		forks of the specified smgr relations.  It's equivalent to calling
- *		FlushRelationBuffers once per fork per relation.  The relations are
- *		assumed not to use local buffers.
+ *		FlushRelationBuffers once per relation.  The relations are assumed not
+ *		to use local buffers.
  * --------------------------------------------------------------------
  */
 void
-- 
2.31.1

